Plugin Overview

HouseBot Relay Device Plugin Overview

The HouseBot Relay Device is a Hardware Device that can be used to control the contact state of a Relay. The Relay Device requires a HouseBot Hardware Interface that supports controlling Relays.

The Relay Device is a very simply Device that will set the contact state of the Relay to either "Opened" or "Closed".

See the Configuration section for more information on setting up the Relay Device.


Configuration

Configuring the Relay Device

Before creating a Relay Device, make sure that a Hardware Interface has been created that it supports Relay control.

To configure a Relay, first create a new Relay Device.

  1. From the HouseBot main menu, select "File / New / Device...".
  2. The New Device Wizard will prompt you through the setup.
  3. Select the "Requires Hardware Interface" radio button.
  4. Select a Hardware Interface that supports relay control. If there are no Hardware Interfaces listed in the "Interface" selection, there are no Hardware Interfaces created in the HouseBot system that support relay control.
  5. Select "Relay" as the type of device.
  6. Give a unique and descriptive name to the Relay Device.
  7. Specify the Module Number (see below).
  8. Specify the Relay Number (see below).

The Relay Device has only three Properties.

Property | Description
State | Indicates the contact state of the Relay. Valid values are either Opened or Closed.
Relay Number | Identifies the Relay by number. This value is specific to the Hardware Interface selected. Typically relay hardware will provide multiple relays and this value identifies which of the relays to control.
Module Number | Identifies the module where the Relay resides. This value is specific to the Hardware Interfaces selected and may not be needed in all cases.


Using

Using the Relay Device

Controlling a relay with the Relay Device is very simple.

To close the contacts on the physical relay, set the State Property Value to Closed. This will initiate a request to the Hardware Interface to close the relay.

To open the contacts of the physical relay, set the State Property Value to Opened. This will initiate a request to the Hardware Interface to open the relay.